angular.module('focaCabeceraFacturador')
    .controller('focaCabeceraFacturadorController', [
        '$scope',
        '$filter',
        function($scope, $filter) {

            $scope.showCabecera = true;
            $scope.cabecera = [];

            $scope.$on('addCabecera', function(event, data) {
                var propiedad = $filter('filter')($scope.cabecera, {label: data.label}, true);
                if(propiedad.length === 1) {
                    propiedad[0].valor = data.valor;
                }else {
                    $scope.cabecera.push({label: data.label, valor: data.valor});
                }
            });

            $scope.$on('removeCabecera', function(event, data) {
                var propiedad = $filter('filter')($scope.cabecera, {label: data}, true);
                if(propiedad.length === 1) {
                    $scope.cabecera.splice($scope.cabecera.indexOf(propiedad[0]), 1);
                }
            });

            $scope.$on('cleanCabecera', function() {
                $scope.cabecera = [];
            });

    }]);
